Holger's Java API

## com.antelmann.util.table
Class CustomThemeTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.util.table.CustomThemeTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class CustomThemeTableModel

extends AbstractTableModel

an editable theme based on a table model to be used with a JTable

Author:
  Holger Antelmann
See Also:
  `CustomTheme`, `JCustomThemeEditor`, Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`CustomThemeTableModel(CustomTheme theme)`

Method Summary
`Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`int` `getRowCount()`
`CustomTheme` `getTheme()`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int row, int column)`
`void` `setTheme(CustomTheme theme)`
`void` `setValueAt(Object value, int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomThemeTableModel

    public CustomThemeTableModel(CustomTheme theme)

Method Detail

### getTheme

    public CustomTheme getTheme()

### setTheme

    public void setTheme(CustomTheme theme)

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

### setValueAt

    public void setValueAt(Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads